
QGIS Application - Bug report #17223

Error in Processing configuration when using QT5 themes

2017-09-30 04:53 PM - Samuel Fernando Mesa Giraldo

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Arch Linux x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 25122

Description

I get the next error when try configurate the Processing module in Options:

TypeError: standardPixmap(self, QStyle.StandardPixmap, QStyleOption, widget: QWidget = None): not enough arguments 

2017-09-30T09:46:10    WARNING    Traceback (most recent call last):

              File "/opt/qgis-git/share/qgis/python/plugins/processing/ProcessingPlugin.py", line 73, in createWidget

                return ConfigOptionsPage(parent)

              File "/opt/qgis-git/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 73, in __init__

                self.config_widget = ConfigDialog()

              File "/opt/qgis-git/share/qgis/python/plugins/processing/gui/ConfigDialog.py", line 96, in __init__

                QStyle.SP_DirClosedIcon), QIcon.Normal, QIcon.Off)

            TypeError: standardPixmap(self, QStyle.StandardPixmap, QStyleOption, widget: QWidget = None): not enough arguments

Versión de Python: 3.6.2 (default, Jul 20 2017, 03:52:27) [GCC 7.1.1 20170630] 

Versión de QGIS: 2.99.0-Master Master, ebec25f737

The options in Processing not display:

https://i.imgur.com/sVkeNLZ.png

History

#1 - 2017-09-30 09:16 PM - Giovanni Manghi

- Status changed from Open to Feedback

I can't confirm on Ubuntu 16.04 and Windows.

#2 - 2017-10-04 05:24 PM - Samuel Fernando Mesa Giraldo

- Assignee changed from Victor Olaya to Giovanni Manghi

Giovanni Manghi wrote:

I can't confirm on Ubuntu 16.04 and Windows.

It seems that the problem is with the QT5 themes, I have modified the parameters in the configuration of the QGIS themes and it is already fixed.
https://i.imgur.com/YTVbszf.png

https://i.imgur.com/tER6S2C.png

#3 - 2017-10-04 06:24 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from Error in Processing configuration  to Error in Processing configuration when using QT5 themes

- Category changed from Processing/Core to Unknown

- Assignee deleted (Giovanni Manghi)

#4 - 2018-06-01 07:14 AM - Nyall Dawson

- Resolution set to up/downstream

- Status changed from Open to Closed

Upstream theme issue - not caused by QGIS
